diff --git a/icd-main.cpp b/icd-main.cpp
index f317db1..8039045 100644
--- a/icd-main.cpp
+++ b/icd-main.cpp
@@ -127,7 +127,7 @@ void on_signal(int signo)
  * 
  * \throw InotifyException thrown if base table directory cannot be read
  */
-void load_tables(EventDispatcher* pEd) throw (InotifyException)
+void load_tables(EventDispatcher* pEd)
 {
   // WARNING - this function has not been optimized!!!
   
diff --git a/inotify-cxx.cpp b/inotify-cxx.cpp
index bd0978c..b24638d 100644
--- a/inotify-cxx.cpp
+++ b/inotify-cxx.cpp
@@ -224,7 +224,7 @@ void InotifyEvent::DumpTypes(std::string& rStr) const
 }
 
 
-void InotifyWatch::SetMask(uint32_t uMask) throw (InotifyException)
+void InotifyWatch::SetMask(uint32_t uMask)
 {
   IN_WRITE_BEGIN
   
@@ -241,7 +241,7 @@ void InotifyWatch::SetMask(uint32_t uMask) throw (InotifyException)
   IN_WRITE_END
 }
 
-void InotifyWatch::SetEnabled(bool fEnabled) throw (InotifyException)
+void InotifyWatch::SetEnabled(bool fEnabled)
 {
   IN_WRITE_BEGIN
   
@@ -294,7 +294,7 @@ void InotifyWatch::__Disable()
 }
 
 
-Inotify::Inotify() throw (InotifyException)
+Inotify::Inotify()
 {
   IN_LOCK_INIT
   
@@ -325,7 +325,7 @@ void Inotify::Close()
   IN_WRITE_END
 }
 
-void Inotify::Add(InotifyWatch* pWatch) throw (InotifyException)
+void Inotify::Add(InotifyWatch* pWatch)
 {
   IN_WRITE_BEGIN
   
@@ -379,7 +379,7 @@ void Inotify::Add(InotifyWatch* pWatch) throw (InotifyException)
   IN_WRITE_END
 }
 
-void Inotify::Remove(InotifyWatch* pWatch) throw (InotifyException)
+void Inotify::Remove(InotifyWatch* pWatch)
 {
   IN_WRITE_BEGIN
   
@@ -428,7 +428,7 @@ void Inotify::RemoveAll()
   IN_WRITE_END
 }
 
-void Inotify::WaitForEvents(bool fNoIntr) throw (InotifyException)
+void Inotify::WaitForEvents(bool fNoIntr)
 {
   ssize_t len = 0;
   
@@ -461,7 +461,7 @@ void Inotify::WaitForEvents(bool fNoIntr) throw (InotifyException)
   IN_WRITE_END
 }
   
-bool Inotify::GetEvent(InotifyEvent* pEvt) throw (InotifyException)
+bool Inotify::GetEvent(InotifyEvent* pEvt)
 {
   if (pEvt == NULL)
     throw InotifyException(IN_EXC_MSG("null pointer to event"), EINVAL, this);
@@ -479,7 +479,7 @@ bool Inotify::GetEvent(InotifyEvent* pEvt) throw (InotifyException)
   return b;
 }
   
-bool Inotify::PeekEvent(InotifyEvent* pEvt) throw (InotifyException)
+bool Inotify::PeekEvent(InotifyEvent* pEvt)
 {
   if (pEvt == NULL)
     throw InotifyException(IN_EXC_MSG("null pointer to event"), EINVAL, this);
@@ -520,7 +520,7 @@ InotifyWatch* Inotify::FindWatch(const std::string& rPath)
   return pW;
 }
   
-void Inotify::SetNonBlock(bool fNonBlock) throw (InotifyException)
+void Inotify::SetNonBlock(bool fNonBlock)
 {
   IN_WRITE_BEGIN
   
@@ -550,7 +550,7 @@ void Inotify::SetNonBlock(bool fNonBlock) throw (InotifyException)
   IN_WRITE_END
 }
 
-void Inotify::SetCloseOnExec(bool fClOnEx) throw (InotifyException)
+void Inotify::SetCloseOnExec(bool fClOnEx)
 {
   IN_WRITE_BEGIN
   
@@ -580,7 +580,7 @@ void Inotify::SetCloseOnExec(bool fClOnEx) throw (InotifyException)
   IN_WRITE_END
 }
 
-uint32_t Inotify::GetCapability(InotifyCapability_t cap) throw (InotifyException)
+uint32_t Inotify::GetCapability(InotifyCapability_t cap)
 {
   FILE* f = fopen(GetCapabilityPath(cap).c_str(), "r");
   if (f == NULL)
@@ -597,7 +597,7 @@ uint32_t Inotify::GetCapability(InotifyCapability_t cap) throw (InotifyException
   return (uint32_t) val;
 }
 
-void Inotify::SetCapability(InotifyCapability_t cap, uint32_t val) throw (InotifyException)
+void Inotify::SetCapability(InotifyCapability_t cap, uint32_t val)
 {
   FILE* f = fopen(GetCapabilityPath(cap).c_str(), "w");
   if (f == NULL)
@@ -611,7 +611,7 @@ void Inotify::SetCapability(InotifyCapability_t cap, uint32_t val) throw (Inotif
   fclose(f);
 }
 
-std::string Inotify::GetCapabilityPath(InotifyCapability_t cap) throw (InotifyException)
+std::string Inotify::GetCapabilityPath(InotifyCapability_t cap)
 {
   std::string path(PROCFS_INOTIFY_BASE);
   
diff --git a/inotify-cxx.h b/inotify-cxx.h
index 80967ef..e7d4d28 100644
--- a/inotify-cxx.h
+++ b/inotify-cxx.h
@@ -447,7 +447,7 @@ public:
    * 
    * \throw InotifyException thrown if changing fails
    */
-  void SetMask(uint32_t uMask) throw (InotifyException);   
+  void SetMask(uint32_t uMask);
   
   /// Returns the appropriate inotify class instance.
   /**
@@ -470,7 +470,7 @@ public:
    * 
    * \throw InotifyException thrown if enabling/disabling fails
    */
-  void SetEnabled(bool fEnabled) throw (InotifyException);
+  void SetEnabled(bool fEnabled);
   
   /// Checks whether the watch is enabled.
   /**
@@ -541,7 +541,7 @@ public:
    * 
    * \throw InotifyException thrown if inotify isn't available
    */
-  Inotify() throw (InotifyException);
+  Inotify();
   
   /// Destructor.
   /**
@@ -558,7 +558,7 @@ public:
    * 
    * \throw InotifyException thrown if adding failed
    */
-  void Add(InotifyWatch* pWatch) throw (InotifyException);
+  void Add(InotifyWatch* pWatch);
   
   /// Adds a new watch.
   /**
@@ -566,7 +566,7 @@ public:
    * 
    * \throw InotifyException thrown if adding failed
    */
-  inline void Add(InotifyWatch& rWatch) throw (InotifyException)
+  inline void Add(InotifyWatch& rWatch)
   {
     Add(&rWatch);
   }
@@ -579,7 +579,7 @@ public:
    * 
    * \throw InotifyException thrown if removing failed
    */
-  void Remove(InotifyWatch* pWatch) throw (InotifyException);
+  void Remove(InotifyWatch* pWatch);
   
   /// Removes a watch.
   /**
@@ -589,7 +589,7 @@ public:
    * 
    * \throw InotifyException thrown if removing failed
    */
-  inline void Remove(InotifyWatch& rWatch) throw (InotifyException)
+  inline void Remove(InotifyWatch& rWatch)
   {
     Remove(&rWatch);
   }
@@ -640,7 +640,7 @@ public:
    * 
    * \sa SetNonBlock()
    */
-  void WaitForEvents(bool fNoIntr = false) throw (InotifyException);
+  void WaitForEvents(bool fNoIntr = false);
   
   /// Returns the count of received and queued events.
   /**
@@ -666,7 +666,7 @@ public:
    * 
    * \throw InotifyException thrown if the provided pointer is NULL
    */
-  bool GetEvent(InotifyEvent* pEvt) throw (InotifyException);
+  bool GetEvent(InotifyEvent* pEvt);
   
   /// Extracts a queued inotify event.
   /**
@@ -676,7 +676,7 @@ public:
    * 
    * \throw InotifyException thrown only in very anomalous cases
    */
-  bool GetEvent(InotifyEvent& rEvt) throw (InotifyException)
+  bool GetEvent(InotifyEvent& rEvt)
   {
     return GetEvent(&rEvt);
   }
@@ -690,7 +690,7 @@ public:
    * 
    * \throw InotifyException thrown if the provided pointer is NULL
    */
-  bool PeekEvent(InotifyEvent* pEvt) throw (InotifyException);
+  bool PeekEvent(InotifyEvent* pEvt);
   
   /// Extracts a queued inotify event (without removing).
   /**
@@ -700,7 +700,7 @@ public:
    * 
    * \throw InotifyException thrown only in very anomalous cases
    */
-  bool PeekEvent(InotifyEvent& rEvt) throw (InotifyException)
+  bool PeekEvent(InotifyEvent& rEvt)
   {
     return PeekEvent(&rEvt);
   }
@@ -755,7 +755,7 @@ public:
    * 
    * \sa GetDescriptor(), SetCloseOnExec()
    */
-  void SetNonBlock(bool fNonBlock) throw (InotifyException);
+  void SetNonBlock(bool fNonBlock);
   
   /// Enables/disables closing on exec.
   /**
@@ -771,7 +771,7 @@ public:
    * 
    * \sa GetDescriptor(), SetNonBlock()
    */
-  void SetCloseOnExec(bool fClOnEx) throw (InotifyException);
+  void SetCloseOnExec(bool fClOnEx);
   
   /// Acquires a particular inotify capability/limit.
   /**
@@ -779,7 +779,7 @@ public:
    * \return capability/limit value
    * \throw InotifyException thrown if the given value cannot be acquired
    */
-  static uint32_t GetCapability(InotifyCapability_t cap) throw (InotifyException);
+  static uint32_t GetCapability(InotifyCapability_t cap);
   
   /// Modifies a particular inotify capability/limit.
   /**
@@ -790,14 +790,14 @@ public:
    *            Beware of setting extensive values - it may seriously
    *            affect system performance and/or stability.
    */
-  static void SetCapability(InotifyCapability_t cap, uint32_t val) throw (InotifyException);
+  static void SetCapability(InotifyCapability_t cap, uint32_t val);
   
   /// Returns the maximum number of events in the kernel queue.
   /**
    * \return maximum number of events in the kernel queue
    * \throw InotifyException thrown if the given value cannot be acquired
    */
-  inline static uint32_t GetMaxEvents() throw (InotifyException)
+  inline static uint32_t GetMaxEvents()
   {
     return GetCapability(IN_MAX_EVENTS);
   }
@@ -811,7 +811,7 @@ public:
    *            is set here the more physical memory may be used for the inotify
    *            infrastructure.
    */
-  inline static void SetMaxEvents(uint32_t val) throw (InotifyException)
+  inline static void SetMaxEvents(uint32_t val)
   {
     SetCapability(IN_MAX_EVENTS, val);
   }
@@ -824,7 +824,7 @@ public:
    * \return maximum number of inotify instances
    * \throw InotifyException thrown if the given value cannot be acquired
    */
-  inline static uint32_t GetMaxInstances() throw (InotifyException)
+  inline static uint32_t GetMaxInstances()
   {
     return GetCapability(IN_MAX_INSTANCES);
   }
@@ -838,7 +838,7 @@ public:
    *            is set here the more physical memory may be used for the inotify
    *            infrastructure.
    */
-  inline static void SetMaxInstances(uint32_t val) throw (InotifyException)
+  inline static void SetMaxInstances(uint32_t val)
   {
     SetCapability(IN_MAX_INSTANCES, val);
   }
@@ -851,7 +851,7 @@ public:
    * \return maximum number of inotify watches
    * \throw InotifyException thrown if the given value cannot be acquired
    */
-  inline static uint32_t GetMaxWatches() throw (InotifyException)
+  inline static uint32_t GetMaxWatches()
   {
     return GetCapability(IN_MAX_WATCHES);
   }
@@ -865,7 +865,7 @@ public:
    *            is set here the more physical memory may be used for the inotify
    *            infrastructure.
    */
-  inline static void SetMaxWatches(uint32_t val) throw (InotifyException)
+  inline static void SetMaxWatches(uint32_t val)
   {
     SetCapability(IN_MAX_WATCHES, val);
   }
@@ -881,7 +881,7 @@ private:
   
   friend class InotifyWatch;
   
-  static std::string GetCapabilityPath(InotifyCapability_t cap) throw (InotifyException);
+  static std::string GetCapabilityPath(InotifyCapability_t cap);
 };
 
 
